# Create agreement This endpoint allows creating a link between buyer and seller, generating an authorization link to be sent to the buyer so the seller can access their Mercado Pago wallet and process payments. In case of success, the request will return a response with status 200. **POST** `/v2/wallet_connect/agreements` ## Request parameters ### Header - `x-platform-id` (string, optional) Identifier for platforms or modules that offer Mercado Pago within their solutions. ### Query - `client.id` (number, optional) Unique identifier of the client application. - `return_uri` (string, optional) URI to redirect the buyer after the agreement flow is completed. - `external_flow_id` (string, optional) Seller's internal identifier for the current flow state. - `external_user` (object, optional) Data used by the seller to identify the buyer within their own system. - `external_user.id` (string, optional) Seller's unique identifier for the buyer. - `external_user.description` (string, optional) Label for the buyer in the seller's system, such as the buyer's name. - `agreement_data` (object, optional) Additional data about the agreement, including optional amount and description. - `agreement_data.validation_amount` (number, optional) Reference amount for the agreement. If the buyer's account balance is insufficient to cover this amount, a card will be required as a secondary payment method. - `agreement_data.description` (string, optional) Description of the actions the buyer is about to perform. ## Response parameters - `agreement_id` (string, optional) Unique identifier of the agreement. - `agreement_uri` (string, optional) URI to redirect the buyer to complete the wallet linking in the frontend. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Bad Request. | ## Request example ### cURL ```bash curl -X POST \ 'https://api.mercadopago.com/v2/wallet_connect/agreements?client.id=' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' \ -d '{ "return_uri": "https://www.mercadopago.com/", "external_flow_id": "EXTERNAL_FLOW_ID", "external_user": { "id": "usertest", "description": "Test account" }, "agreement_data": { "validation_amount": "24.50", "description": "Test agreement" } }' ``` ## Response example ```json { "agreement_id": "22abcd1235ed497f945f755fcaba3c6c", "agreement_uri": "https://www.mercadopago.com.ar/v1/wallet_agreement/22abcd1235ed497f945f755fcaba3c6c" } ```